export interface RouteQueryTransformer<T> {
    fromQuery(value: string): T | undefined;
    toQuery(value: T | undefined): string | undefined;
}
export declare const stringTransformer: RouteQueryTransformer<string>;
export declare const integerTransformer: RouteQueryTransformer<number>;
export declare const floatTransformer: RouteQueryTransformer<number>;
export declare const booleanTransformer: RouteQueryTransformer<boolean>;
declare type EnumLike<T> = Record<keyof T, number> | Record<keyof T, string>;
export declare function enumTransformer<T extends EnumLike<T>>(enumObject: T): RouteQueryTransformer<T[keyof T]>;
export {};
